# shellcheck shell=bash

# shellcheck source=./_functions.sh
. "$(dirname "$0")/_functions.sh"

title "yarn v2"
tempDir="/tmp/husky-yarn-2-test"

rm -rf $tempDir

# generated by pretest script
tgz="./husky-*.tgz"

# Create directory
mkdir -p $tempDir

# Install
cp $tgz $tempDir/husky.tgz
cd $tempDir
yarn set version berry && yarn init -y && yarn add ./husky.tgz

init_git
yarn husky init
yarn # will install pinst
npm set-script test "echo \"msg from pre-commit hook\" && exit 1"

# Test package.json scripts
grep '"postinstall": "husky install"' package.json || ok
grep '"prepublishOnly": "pinst --disable"' package.json || ok
grep '"postpublish": "pinst --enable"' package.json || ok

# Test core.hooksPath
test_hooksPath ".husky"

# Test pre-commit
git add package.json
git commit -m "should fail" || ok

# Uninstall
# Prevent yarn remove from failing due to missing husky command in postinstall
npm set-script postinstall ""
yarn remove husky

# Yarn 2 doesn't run husky's uninstall script, so core.hooksPath is still set
# and needs to be manually removed
git config core.hooksPath && ok
